Rensei docs

Read the opaque expected host adoption revision before batch publication.

Read the opaque expected host adoption revision before batch publication. - Rensei REST API operation reference.

POST
/api/daemon/session-shim/adoption-batches/prepare

Authorization

workerJwt
headerAuthorizationBearer <JWT>

Short-lived worker runtime JWT minted by the platform. Claims bind the worker, project, organization, registration, and scopes.

Request Body

application/json
  1. body
orgId*string
Length1 <= length <= 256
hostId*string
Length1 <= length <= 256

Response Body

Expected adoption revision prepared.

application/json
  1. response
expectedRevision*string
Length1 <= length
adoptionRevision*string
Match^(0|[1-9][0-9]*)$
committedBatchDigest?string
Match^[0-9a-f]{64}$
committedDurableCorrelation?string
Length1 <= length <= 4096
Example Request
curl -X POST 'https://app.rensei.ai/api/daemon/session-shim/adoption-batches/prepare' \  -H 'Content-Type: application/json' \  -d '{  "orgId": "string",  "hostId": "string"}'
Example Response
{  "expectedRevision": "string",  "adoptionRevision": "string",  "committedBatchDigest": "string",  "committedDurableCorrelation": "string"}